### Function

# Gtk EntryCompletionMatchFunc

deprecated: 4.20

#### Declaration

    gboolean
    (* GtkEntryCompletionMatchFunc) (
      GtkEntryCompletion* completion,
      const char* key,
      GtkTreeIter* iter,
      gpointer user_data
    )

#### Description [src]

A function which decides whether the row indicated by `iter` matches a given `key`, and should be displayed as a possible completion for `key`.

Note that `key` is normalized and case-folded (see `g_utf8_normalize()` and g_utf8_casefold()). If this is not appropriate, match functions have access to the unmodified key via `gtk_editable_get_text (GTK_EDITABLE (gtk_entry_completion_get_entry ()))`.

Deprecated since: 4.20

There is no replacement.

#### Parameters

`completion`

  Type: `GtkEntryCompletion`

  The `GtkEntryCompletion`.

  The data is owned by the caller of the function.

`key`

  Type: `const char*`

  The string to match, normalized and case-folded.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` indicating the row to match.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data given to gtk_entry_completion_set_match_func().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `iter` should be displayed as a possible completion for `key`.